<?php
class Mensagem_email
{
	private $_id;
	private $_assunto;
	private $_mensagem;
	
	public function setId($valor)
	{
		$this->_id = $valor;
	}
	public function getId()
	{
		return $this->_id;
	}
	public function setAssunto($valor)
	{
		$this->_assunto = $valor;
	}
	public function getAssunto()
	{
		return $this->_assunto;
	}
	public function setMensagem($valor)
	{
		$this->_mensagem = $valor;
	}
	public function getMensagem()
	{
		return $this->_mensagem;
	}
}

class Mensagens_email_DAO
{
	private $_listaMensagens = array();
	
	function __construct()
	{	
		$_config = new Config();
		require_once($_config->diretorio_raiz().'/src/controller/Funcoes_arquivo.php');
		$funcoes_arquivo = new Funcoes_arquivo();
		$listaArquivo = $funcoes_arquivo->listar_arquivos_diretorio($_config->diretorio_raiz().'/config/mensagens_email');
		foreach($listaArquivo as $arquivo)
		{
			//echo $arquivo."<Br>";
			if(file_exists($arquivo) )
			{	
				// Guarda as macros de inicio jornada.
				$lines = file ($arquivo);
				$mensagem_email = new Mensagem_email();
				$chave_anterior = "";
				$mensagem = "";
				$assunto = "";
				foreach ($lines as $line) {
					//array_push($this->inicioJornada,str_replace("\r","",str_replace("\n","",$line)));
					$coluna = explode("->",$line);
					
					switch($coluna[0])
					{
						case "id":
							$mensagem_email->setId(str_replace("\r","",str_replace("\n","",$coluna[1])));
						break;
						case "assunto":
							$assunto .= str_replace("\n","",$coluna[1]);
							$chave_anterior = "assunto";
						break;
						case "mensagem":
							$mensagem .= str_replace("\n","",$coluna[1]);
							$chave_anterior = "mensagem";
						break;
					}
					if($chave_anterior == "assunto" and $coluna[0] != "assunto")
					{
						$assunto .= $line;
					}
					elseif($chave_anterior == "mensagem" and $coluna[0] != "mensagem")
					{
						$mensagem .= $line;
					}
					
				}
				$mensagem_email->setAssunto($assunto);
				$mensagem_email->setMensagem($mensagem);
				array_push($this->_listaMensagens, $mensagem_email);
			}	
		}	
		
		
	}
	public function getMensagem($id)
	{
		foreach($this->_listaMensagens as $mensagem)
		{
			if($mensagem->getId() == $id)
			{
				return $mensagem;
			}
		}
		return  null;
	}	
	
		
}	
